{% extends "base.html" %}
{% load staticfiles %}
{% load sharekernel %}
{% block body %}
    <div class="bg-light mb-4 p-5 pb-0 pb-md-3 text-center text-md-start">
        <div class="container-xl">
            <h1 class="fw-normal text-primary display-3">ViNO</h1>
            <p class="lead">
                <span class="text-primary">Vi</span>able <span class="text-primary">N</span>umericable <span class="text-primary">O</span>bject repository
            </p>
            <hr class="me-4">
            <p>Viability problems arise in several scientific fields (robotics, economics, environmental sciences). Once the set of constraints to be satisfied is specified and the dynamics described, the viability problem relies in the study of the compatibility between these constraints and these dynamics; Control strategies governing viable evolutions if any can then be deduced.</p>
            <p>Analytical solutions to sustainability problems are rare. Approximations can then be calculated, we call them Viable Numerical Objects.</p>
            <div class="d-flex flex-column flex-md-row">
                <a class="btn btn-primary mb-3 me-md-3" href="{% url 'explore' %}" role="button">Explore</a>
                <!--<a class="btn btn-dark mb-3" href="" role="button">Submit</a>-->
            </div>
        </div>
    </div>
    <div class="container-xl">
        <h2>Latest viability problems</h2>
        <div class="row vp1">
        {% for vp in last_viabilityproblems %}
            <div class="col-md-4">
                <div class="vp card mb-4 shadow-sm">
                    <a href="{% url 'viabilityproblem' vp.pk %}">
                        <img src="{% if vp.image %}{{ vp.image.url }}{% else %}{% static 'images/placeholder.jpg' %}{% endif %}" class="card-img-top" alt="{{ vp.title }}">
                    </a>
                    <div class="card-body">
                        <h5 class="card-title"><a href="{% url 'viabilityproblem' vp.pk %}">{{ vp.title }}</a></h5>
                        <p class="card-text">{{ vp.description|truncatewords:10 }}</p>
                    </div>
                    <ul class="list-group list-group-flush">
                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            <b>Data</b>
                            <span class="badge bg-warning">{{ vp.parametersets.count }} parameter set{{ vp.parametersets.count|pluralize }}</span>
                            <span class="badge bg-warning">{{ vp.kernels.count }} ViNO{{ vp.kernels.count|pluralize }}</span>
                        </li>
                        <li class="list-group-item d-flex justify-content-end align-items-center">
                            <b>Dimensions</b>
                            <span class="badge bg-primary">{{ vp.state_dimension }}D state</span>
                            <span class="badge bg-primary">{{ vp.control_dimension }}D control</span>
                        </li>
                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            <b>Dynamics type</b>
                            <span class="badge bg-secondary">{{ vp.dynamics_type }}</span>
                        </li>
                    </ul>
                    <div class="card-body text-end">
                        <p class="card-text"><small class="text-muted">Last updated {{ vp.date_updated|date:"DATETIME_FORMAT"|lowfirst }}</small></p>
                    </div>
                </div>
            </div>
        {% endfor %}
        </div>
        <h2 class="mt-3">Latest uploaded kernels</h2>
        <div class="table-responsive">
            <table class="table table-sm table-hover table-bordered small">
                <thead>
                    <tr>
                        <th scope="col">ViNO title</th>
                        <th scope="col">Viability Problem</th>
                        <th scope="col">Publication date</th>
                        <th scope="col">Published by</th>
                        <th scope="col">Software</th>
                        <th scope="col">Format</th>
                        <th scope="col" class="text-end">Size</th>
                    </tr>
                </thead>
                <tbody>
                {% for k in last_kernels %}
                    <tr>
                        <td>
                            <a href="{% kernel_url k %}">{{ k.title }}</a>
                        </td>
                        <td>
                            <a href="{% url 'viabilityproblem' k.vp.pk %}">{{ k.vp.title }}</a>
                        </td>
                        <td>{{ k.date_created|date:"DATE_FORMAT" }}</td>
                        <td>{{ k.owner.get_full_name }}</td>
                        <td>
                            <abbr title="Click to read more" data-bs-toggle="modal" data-bs-target="#modal" data-subject="software:{{ k.software.pk }}">
                                {{ k.software }}
                            </attr>
                        </td>
                        <td>
                            <abbr title="Click to read more" data-bs-toggle="modal" data-bs-target="#modal" data-subject="dataformat:{{ k.format.pk }}">
                                {{ k.format }}
                            </abbr>
                        </td>
                        <td class="text-end">{{ k.size_with_unit|default:"-" }}</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
    {% include 'modal.html' with database=database %}
{% endblock %}
